name: Deploy searxng

on:
  push:
    branches:
      - main
    paths:
      - 'searxng/**'

jobs:
  deploy:
    runs-on: ubuntu-latest
    steps:
      - name: Checkout Code
        uses: actions/checkout@v4

      - name: Sync searxng to Host
        uses: appleboy/scp-action@master
        with:
          host: "192.168.2.14"
          username: "miker"
          key: ${{ secrets.SSH_PRIVATE_KEY }}
          source: "searxng/*"
          target: "/opt/Docker-Deployments/searxng"
          strip_components: 1

      - name: Deploy searxng Stack
        uses: appleboy/ssh-action@master
        with:
          host: "192.168.2.14"
          username: "miker"
          key: ${{ secrets.SSH_PRIVATE_KEY }}
          script: |
            cd /opt/Docker-Deployments/searxng
            docker compose up -d --remove-orphans
